Package org.eclipse.birt.report.model.api

# Class FactoryElementHandle

java.lang.Object
org.eclipse.birt.report.model.api.FactoryElementHandle

public class FactoryElementHandle extends Object
Factory element handle class to retrieve some factory styles.

## Method Summary

Modifier and Type
Method
Description
`List<StyleHandle>`
`getAllFactoryStyles()`
Gets all the factory style handle.
`FactoryPropertyHandle`
`getFactoryPropertyHandle(String propName)`
Returns a handle for a top-level property for use in preparing the Factory data structures.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAllFactoryStyles

public List<StyleHandle> getAllFactoryStyles()
Gets all the factory style handle. The list contains the shared style defined by 'style' property, the computed style that stores all the value inherited from all the ancestors of this element, all the selectors defined by this element and the style that stores the value computed from some related container. The list does not contain the private style that stores the local value set by this element itself and the cascading computed style from container.

Returns:
  all the factory style handles

### getFactoryPropertyHandle

public FactoryPropertyHandle getFactoryPropertyHandle(String propName)
Returns a handle for a top-level property for use in preparing the Factory data structures. This handle follows specialized rules:

- Optimized to get each property value only once.
- Indicates if the value is a style property.
- Indicates if a style property is set on the element's private style or a shared style.
- Performs property conversions as needed for the Factory context.

Parameters:
  `propName` - the name of the property to get
Returns:
  the factory property handle, or `null` if either 1) no property exists with the given name or 2) the property is a style property and is not set in a private style.